/*
 *  3d spline routines
 *
 *  Based on implementation by Philippe Thevenaz.
 *  See http://bigwww.epfl.ch/thevenaz/interpolation/ for details.
 *
 *  **************************************************************************
 *
 *  Modifications (c) 2007 Frank DiMaio 
 *
 *  **************************************************************************
 *
 *     This file is part of ACMI.
 * 
 *     ACMI is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 3 of the License, or
 *     (at your option) any later version.
 * 
 *     ACMI is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  **************************************************************************
 *
 */

double interp3(double *Bcoeff, int dims[3], double X[3], int degree);
int grad3(double grad[3], double *Bcoeff, int dims[3], double X[3], int degree);
int compute_coefficients(double *data, int dims[3], int degree);
